Internal query data from a custom object dataset

Performs an internal query on custom object data with a simple join with Account Object Context

Path Params
string
required

Account ID

string
required

The Custom Object Schema Id for this request

string
required

The Custom Object Dataset Id for this request

Body Params
string

Locator of the other data source to join with.

string

Optional locator (id, name) of the other data source dataset (if Custom Object) to join with.

selectFields
array of strings
length between 0 and 2000

List of fields to select. Must be prefixed with 'aoc.' for Act-On Contacts fields or 'co.' for custom object fields. Use 'aoc.' or 'co.' to select all fields from respective source.

selectFields
int32
deprecated

Page number (0-based). DEPRECATED: Use pagination object instead.

int32
deprecated

Number of items per page. DEPRECATED: Use pagination object instead.

pagination
object

Pagination information supporting both offset and cursor-based pagination

string
deprecated

Sort by field. Reference Act-On Contacts fields by the prefix aoc. if they overlap with custom object fields. DEPRECATED: Use sortFields instead for multiple field sorting.

string
deprecated

Sort direction. Either asc or desc. If anything else no sorting will be applied. DEPRECATED: Use sortFields instead for multiple field sorting.

sortFields
array of objects
length between 0 and 10

List of fields to sort by with their directions. Takes precedence over sortBy/sortByDirection. Each field must be prefixed with 'aoc.' for Act-On Contacts fields or 'co.' for custom object fields.

sortFields
string

Filter expression.

joinStrategy
object

Join strategy.

string

Search term.

string

Override timezone for all DATETIME fields in the query. Must be a valid timezone identifier (e.g., 'US/Eastern', 'Europe/London', 'UTC'). If specified, this overrides both account-level and field-level timezone settings.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
*/*